<!DOCTYPE html>
<html lang="en">
  <head>
    <title>NetService Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
    <script src="../js/lunr.min.js" defer></script>
    <script src="../js/typeahead.jquery.js" defer></script>
    <script src="../js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Class/NetService" class="dashAnchor"></a>
    <a title="NetService Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html">HaishinKit 1.8.0 Docs</a> (88% documented)</p>
        <div class="header-right">
          <form role="search" action="../search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html">HaishinKit Reference</a>
        <img id="carat" src="../img/carat.png" alt=""/>
        NetService Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/ByteArray.html">ByteArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ByteArray/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Event.html">Event</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Event/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/EventDispatcher.html">EventDispatcher</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOAudioCaptureUnit.html">IOAudioCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStream.html">IOStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStream/ReadyState.html">– ReadyState</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamBitRateStrategy.html">IOStreamBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamRecorder.html">IOStreamRecorder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamRecorder/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamVideoAdaptiveBitRateStrategy.html">IOStreamVideoAdaptiveBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOVideoCaptureUnit.html">IOVideoCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/InstanceHolder.html">InstanceHolder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MTHKView.html">MTHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetClient.html">NetClient</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetService.html">NetService</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetSocket.html">NetSocket</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPConnection.html">RTMPConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPConnection/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPResponder.html">RTMPResponder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPSharedObject.html">RTMPSharedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream.html">RTMPStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream/HowToPublish.html">– HowToPublish</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTConnection.html">SRTConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTLogger.html">SRTLogger</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTStream.html">SRTStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/TSReader.html">TSReader</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/TSWriter.html">TSWriter</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/VideoEffect.html">VideoEffect</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Global%20Variables.html">Global Variables</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Global%20Variables.html#/s:10HaishinKit12kASUndefinedAA0C0Vvp">kASUndefined</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FeatureUtil.html">FeatureUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FeatureUtil/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOAudioMixerError.html">IOAudioMixerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOAudioUnitError.html">IOAudioUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOVideoUnitError.html">IOVideoUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/ImageTransform.html">ImageTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/RTMPObjectEncoding.html">RTMPObjectEncoding</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTLogFunctionalArea.html">SRTLogFunctionalArea</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTLogLevel.html">SRTLogLevel</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTMode.html">SRTMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTSocketOption.html">SRTSocketOption</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions.html#/s:13SRTHaishinKit9SRTSocketC">SRTSocket</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/EventDispatcherConvertible.html">EventDispatcherConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOMuxer.html">IOMuxer</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamBitRateStrategyConvertible.html">IOStreamBitRateStrategyConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamDelegate.html">IOStreamDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamObserver.html">IOStreamObserver</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamRecorderDelegate.html">IOStreamRecorderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamView.html">IOStreamView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/RTMPConnectionDelegate.html">RTMPConnectionDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/Running.html">Running</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/TSReaderDelegate.html">TSReaderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/TSWriterDelegate.html">TSWriterDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/ASArray.html">ASArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASTypedObject.html">ASTypedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASUndefined.html">ASUndefined</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASXML.html">ASXML</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASXMLDocument.html">ASXMLDocument</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/Atomic.html">Atomic</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/AudioCodecSettings.html">AudioCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOAudioMixerSettings.html">IOAudioMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOAudioMixerTrackSettings.html">IOAudioMixerTrackSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOStreamBitRateStats.html">IOStreamBitRateStats</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOVideoMixerSettings.html">IOVideoMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOVideoMixerSettings/Mode.html">– Mode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/RTMPStreamInfo.html">RTMPStreamInfo</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/SRTPerformanceData.html">SRTPerformanceData</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/SoundTransform.html">SoundTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VTSessionOption.html">VTSessionOption</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings.html">VideoCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings/BitRateMode.html">– BitRateMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings/ScalingMode.html">– ScalingMode</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit8ASObjecta">ASObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit32IOAudioCaptureConfigurationBlocka">IOAudioCaptureConfigurationBlock</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit32IOVideoCaptureConfigurationBlocka">IOVideoCaptureConfigurationBlock</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>NetService</h1>
              <div class="declaration">
                <div class="language">
                  
                  <pre class="highlight swift"><code><span class="kd">open</span> <span class="kd">class</span> <span class="kt">NetService</span> <span class="p">:</span> <span class="kt">NSObject</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">NetService</span><span class="p">:</span> <span class="kt">NetServiceDelegate</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">NetService</span><span class="p">:</span> <span class="kt"><a href="../Protocols/Running.html">Running</a></span></code></pre>

                </div>
              </div>
            <p>The NetService class creates a two-way connection between a client and a server as a server.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10NetServiceC7txtData10Foundation0F0VSgvp"></a>
                    <a name="//apple_ref/swift/Property/txtData" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10NetServiceC7txtData10Foundation0F0VSgvp">txtData</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The TXT record for the receiver.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">open</span> <span class="k">var</span> <span class="nv">txtData</span><span class="p">:</span> <span class="kt">Data</span><span class="p">?</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10NetServiceC6domainSSvp"></a>
                    <a name="//apple_ref/swift/Property/domain" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10NetServiceC6domainSSvp">domain</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The domain for the service.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">let</span> <span class="nv">domain</span><span class="p">:</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10NetServiceC4typeSSvp"></a>
                    <a name="//apple_ref/swift/Property/type" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10NetServiceC4typeSSvp">type</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The network service type.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">let</span> <span class="nv">type</span><span class="p">:</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10NetServiceC4nameSSvp"></a>
                    <a name="//apple_ref/swift/Property/name" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10NetServiceC4nameSSvp">name</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The name of service.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">let</span> <span class="nv">name</span><span class="p">:</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10NetServiceC4ports5Int32Vvp"></a>
                    <a name="//apple_ref/swift/Property/port" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10NetServiceC4ports5Int32Vvp">port</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The port.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">let</span> <span class="nv">port</span><span class="p">:</span> <span class="kt">Int32</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10NetServiceC9isRunningAA6AtomicVySbGvp"></a>
                    <a name="//apple_ref/swift/Property/isRunning" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10NetServiceC9isRunningAA6AtomicVySbGvp">isRunning</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The service is running or not.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">private(set)</span> <span class="k">var</span> <span class="nv">isRunning</span><span class="p">:</span> <span class="kt"><a href="../Structs/Atomic.html">Atomic</a></span><span class="o">&lt;</span><span class="kt">Bool</span><span class="o">&gt;</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10NetServiceC7clientsSayAA0C6ClientCGvp"></a>
                    <a name="//apple_ref/swift/Property/clients" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10NetServiceC7clientsSayAA0C6ClientCGvp">clients</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The current connected client objects.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">private(set)</span> <span class="k">var</span> <span class="nv">clients</span><span class="p">:</span> <span class="p">[</span><span class="kt"><a href="../Classes/NetClient.html">NetClient</a></span><span class="p">]</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10NetServiceC6domain4type4name4portACSS_S2Ss5Int32Vtcfc"></a>
                    <a name="//apple_ref/swift/Method/init(domain:type:name:port:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10NetServiceC6domain4type4name4portACSS_S2Ss5Int32Vtcfc">init(domain:<wbr>type:<wbr>name:<wbr>port:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Create a new NetService object.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="nf">init</span><span class="p">(</span><span class="nv">domain</span><span class="p">:</span> <span class="kt">String</span><span class="p">,</span> <span class="nv">type</span><span class="p">:</span> <span class="kt">String</span><span class="p">,</span> <span class="nv">name</span><span class="p">:</span> <span class="kt">String</span><span class="p">,</span> <span class="nv">port</span><span class="p">:</span> <span class="kt">Int32</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/NSNetServiceDelegate"></a>
                <a name="//apple_ref/swift/Section/NSNetServiceDelegate" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/NSNetServiceDelegate"></a>
                  <h3 class="section-name"><span>NSNetServiceDelegate</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@HaishinKit@objc(cs)NetService(im)netService:didAcceptConnectionWithInputStream:outputStream:"></a>
                    <a name="//apple_ref/swift/Method/netService(_:didAcceptConnectionWith:outputStream:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@HaishinKit@objc(cs)NetService(im)netService:didAcceptConnectionWithInputStream:outputStream:">netService(_:<wbr>didAcceptConnectionWith:<wbr>outputStream:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">netService</span><span class="p">(</span><span class="n">_</span> <span class="nv">sender</span><span class="p">:</span> <span class="kt">Foundation</span><span class="o">.</span><span class="kt">NetService</span><span class="p">,</span> <span class="n">didAcceptConnectionWith</span> <span class="nv">inputStream</span><span class="p">:</span> <span class="kt">InputStream</span><span class="p">,</span> <span class="nv">outputStream</span><span class="p">:</span> <span class="kt">OutputStream</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Runnbale"></a>
                <a name="//apple_ref/swift/Section/Runnbale" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Runnbale"></a>
                  <h3 class="section-name"><span>Runnbale</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit7RunningP05startC0yyF"></a>
                    <a name="//apple_ref/swift/Method/startRunning()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit7RunningP05startC0yyF">startRunning()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">startRunning</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit7RunningP04stopC0yyF"></a>
                    <a name="//apple_ref/swift/Method/stopRunning()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit7RunningP04stopC0yyF">stopRunning()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">stopRunning</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2024 <a class="link" href="https://github.com/shogo4405/HaishinKit.swift" target="_blank" rel="external noopener">shogo4405</a>. All rights reserved. (Last updated: 2024-04-22)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.4</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
